diff options
author | Jim Meyering <jim@meyering.net> | 2004-04-19 14:18:17 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2004-04-19 14:18:17 +0000 |
commit | e17c7db93bdc0d9c347c41f9f08c3e0e9a717803 (patch) | |
tree | 963ad8cf60b7f35b718537f35c1e64d1732bd83e | |
parent | 4f00c7850a35a07bdf1ade26cab00a56164ebac8 (diff) | |
download | coreutils-e17c7db93bdc0d9c347c41f9f08c3e0e9a717803.tar.xz |
(sc_trailing_blank): New rule.
(syntax-check-rules): Add it.
-rw-r--r-- | Makefile.maint | 26 |
1 files changed, 17 insertions, 9 deletions
diff --git a/Makefile.maint b/Makefile.maint index 12b7ebd16..3806016db 100644 --- a/Makefile.maint +++ b/Makefile.maint @@ -77,6 +77,7 @@ syntax-check-rules = \ sc_space_tab \ sc_sun_os_names \ sc_system_h_headers \ + sc_trailing_blank \ sc_unmarked_diagnostics syntax-check: $(syntax-check-rules) @@ -91,15 +92,6 @@ syntax-check: $(syntax-check-rules) # exit 1; } || : # FIXME: don't allow `#include .strings\.h' anywhere -# Look for diagnostics that aren't marked for translation. -# This won't find any for which error's format string is on a separate line. -sc_unmarked_diagnostics: - @grep --exclude=$(srcdir)/src/shred.c -E \ - '\<error \([^"]*"[^"]*[a-z]{3}' $(srcdir)/{lib,src}/*.c \ - | grep -v '_(' && \ - { echo '$(ME): found unmarked diagnostic(s)' 1>&2; \ - exit 1; } || : - sc_cast_of_argument_to_free: @grep -E '\<free \(\(' $(srcdir)/{lib,src}/*.[chly] && \ { echo '$(ME): don'\''t cast free argument' 1>&2; \ @@ -205,6 +197,22 @@ sc_sun_os_names: { echo '$(ME): found misuse of Sun OS version numbers' 1>&2; \ exit 1; } || : +sc_trailing_blank: + @( cvsu --list ) > /dev/null 2>&1 || : && \ + grep '[ ]$$' \ + $$(cvsu --list | grep -vEf .x-$@ ) && \ + { echo '$(ME): found trailing blank(s)' \ + 1>&2; exit 1; } || : + +# Look for diagnostics that aren't marked for translation. +# This won't find any for which error's format string is on a separate line. +sc_unmarked_diagnostics: + @grep --exclude=$(srcdir)/src/shred.c -E \ + '\<error \([^"]*"[^"]*[a-z]{3}' $(srcdir)/{lib,src}/*.c \ + | grep -v '_(' && \ + { echo '$(ME): found unmarked diagnostic(s)' 1>&2; \ + exit 1; } || : + # Ensure that date's --help output stays in sync with the info # documentation for GNU strftime. The only exception is %N, # which date accepts but GNU strftime does not. |